import React, { useState } from 'react';
import UsersComponent from '../UsersComponent';
import CreateNewUser from '../CreateNewUser';
import './main.css';
import Footer from '../Footer';


const Main = ({ setUserPopup, handleSwitchPopup }) => {
  
   
  const [users, setUsers] = useState([]);
  
  const deleteUser = (id) => {
    setUsers(users.filter(u => u.id !== id));
  }

  return (
    <main>
      <div className="container">
        <div className="users_wrapper">
          <CreateNewUser users={users} setUsers={setUsers} />
          <UsersComponent
            users={users}
            deleteUser={deleteUser}
            setUserPopup={setUserPopup}
            handleSwitchPopup={handleSwitchPopup}
          />
        </div>
        <Footer users={users}/>
      </div>
    </main>
  );
}

export default Main;